#include <cstdlib>
#include <iostream>

int gcd(int a,int b){
    if(b==0)return a;
    return  gcd(b,a%b);
}

template<class T>
void abss(T &t){
    t=abs(t);
}

int main(){
    int n;
    std::cin>>n;

    int tmpa,tmpb;
    std::cin>>tmpa;
    abss(tmpa);
    for(int i{1};i<n;i++){
        std::cin>>tmpb;
        abss(tmpb);
        tmpa = gcd(tmpa,tmpb);
    }
    std::cout<<tmpa<<"\n";
}